Author Topic: Compat wireless & aircrack-ng [SOLVED]  (Read 4263 times)

Dark Angel

  • Newbie
  • *
  • Posts: 27
    • View Profile
on: June 23, 2011, 09:56:07 PM
ciao a tutti stavo provando ad usare aircrack sulla mia rete per verificarne la sicurezza e ad un certo punto mi blocco perche ricevo il seguente errore:
Code: [Select]
mon0 is on channel -1, but the AP uses channel 9
ho provato a installare delle patch seguendo questa guida:

http://aircrack-ng.org/doku.php?id=compat-wireless

ma ricevo questi errori quando provo a installare:
Code: [Select]
root@david-laptop:~/compat-wireless-2011-06-23# sudo make install

Your old wireless subsystem modules were left intact:

kernel/net/mac80211/mac80211.ko
kernel/net/wireless/cfg80211.ko
kernel/net/wireless/lib80211.ko
kernel/drivers/net/wireless/adm8211.ko
kernel/drivers/net/wireless/ath/ar9170/ar9170usb.ko
kernel/drivers/net/wireless/at76c50x-usb.ko
kernel/drivers/net/wireless/ath/ath.ko
kernel/drivers/net/wireless/ath/ath5k/ath5k.ko
kernel/drivers/net/wireless/ath/ath9k/ath9k.ko
kernel/drivers/net/wireless/ath/ath9k/ath9k_htc.ko
kernel/drivers/net/wireless/b43/b43.ko
kernel/drivers/net/wireless/b43legacy/b43legacy.ko
kernel/drivers/net/b44.ko
kernel/drivers/net/wireless/ath/carl9170/carl9170.ko
kernel/drivers/staging/brcm80211/brcm80211.ko
kernel/drivers/net/usb/cdc_ether.ko
kernel/drivers/misc/eeprom/eeprom_93cx6.ko
kernel/drivers/net/wireless/ipw2x00/ipw2100.ko
kernel/drivers/net/wireless/ipw2x00/ipw2200.ko
kernel/drivers/net/wireless/iwlwifi/iwl3945.ko
kernel/drivers/net/wireless/iwlwifi/iwlagn.ko
kernel/drivers/net/wireless/iwlwifi/iwlcore.ko
kernel/drivers/net/wireless/iwmc3200wifi/iwmc3200wifi.ko
kernel/net/wireless/lib80211_crypt_ccmp.ko
kernel/net/wireless/lib80211_crypt_tkip.ko
kernel/net/wireless/lib80211_crypt_wep.ko
kernel/drivers/net/wireless/libertas/libertas.ko
kernel/drivers/net/wireless/libertas/libertas_cs.ko
kernel/drivers/net/wireless/libertas/libertas_sdio.ko
kernel/drivers/net/wireless/libertas/libertas_spi.ko
kernel/drivers/net/wireless/libertas_tf/libertas_tf.ko
kernel/drivers/net/wireless/libertas_tf/libertas_tf_usb.ko
kernel/drivers/net/wireless/ipw2x00/libipw.ko
kernel/drivers/net/wireless/mac80211_hwsim.ko
kernel/drivers/net/wireless/mwl8k.ko
kernel/drivers/net/wireless/orinoco/orinoco_cs.ko
kernel/drivers/net/wireless/orinoco/orinoco_nortel.ko
kernel/drivers/net/wireless/orinoco/orinoco_plx.ko
kernel/drivers/net/wireless/orinoco/orinoco_usb.ko
kernel/drivers/net/wireless/orinoco/orinoco.ko
kernel/drivers/net/wireless/p54/p54common.ko
kernel/drivers/net/wireless/p54/p54pci.ko
kernel/drivers/net/wireless/p54/p54spi.ko
kernel/drivers/net/wireless/p54/p54usb.ko
kernel/drivers/net/usb/rndis_host.ko
kernel/drivers/net/wireless/rndis_wlan.ko
kernel/drivers/net/wireless/rt2x00/rt2400pci.ko
kernel/drivers/net/wireless/rt2x00/rt2500pci.ko
kernel/drivers/net/wireless/rt2x00/rt2500usb.ko
kernel/drivers/net/wireless/rt2x00/rt2800pci.ko
kernel/drivers/net/wireless/rt2x00/rt2800usb.ko
kernel/drivers/net/wireless/rt2x00/rt2x00lib.ko
kernel/drivers/net/wireless/rt2x00/rt2x00pci.ko
kernel/drivers/net/wireless/rt2x00/rt2x00usb.ko
kernel/drivers/net/wireless/rt2x00/rt61pci.ko
kernel/drivers/net/wireless/rt2x00/rt73usb.ko
kernel/drivers/net/wireless/rtl818x/rtl8180/rtl8180.ko
kernel/drivers/net/wireless/rtl818x/rtl8187/rtl8187.ko
kernel/drivers/net/wireless/rtlwifi/rtlwifi.ko
kernel/drivers/net/wireless/rtlwifi/rtl8192ce/rtl8192ce.ko
kernel/drivers/net/wireless/orinoco/spectrum_cs.ko
kernel/drivers/ssb/ssb.ko
kernel/drivers/net/wireless/libertas/usb8xxx.ko
kernel/drivers/net/usb/usbnet.ko
kernel/drivers/net/wireless/wl1251/wl1251.ko
kernel/drivers/net/wireless/wl12xx/wl12xx.ko
kernel/drivers/net/wireless/zd1211rw/zd1211rw.ko

Your old ethernet subsystem modules are left intact:

kernel/drivers/net/atlx/atl1.ko
kernel/drivers/net/atlx/atl2.ko
kernel/drivers/net/atl1e/atl1e.ko
kernel/drivers/net/atl1c/atl1c.ko

Your old bluetooth subsystem modules were left intact:

kernel/drivers/bluetooth/ath3k.ko
kernel/drivers/bluetooth/bcm203x.ko
kernel/drivers/bluetooth/bluecard_cs.ko
kernel/net/bluetooth/bluetooth.ko
kernel/net/bluetooth/bnep/bnep.ko
kernel/drivers/bluetooth/bpa10x.ko
kernel/drivers/bluetooth/bt3c_cs.ko
kernel/drivers/bluetooth/btmrvl.ko
kernel/drivers/bluetooth/btmrvl_sdio.ko
kernel/drivers/bluetooth/btsdio.ko
kernel/drivers/bluetooth/btusb.ko
kernel/drivers/bluetooth/btuart_cs.ko
kernel/net/bluetooth/cmtp/cmtp.ko
kernel/drivers/bluetooth/dtl1_cs.ko
kernel/net/bluetooth/hidp/hidp.ko
kernel/drivers/bluetooth/hci_vhci.ko
kernel/drivers/bluetooth/hci_uart.ko
kernel/net/bluetooth/l2cap.ko
kernel/net/bluetooth/rfcomm/rfcomm.ko
kernel/net/bluetooth/sco.ko

make -C /lib/modules/2.6.38-8-generic/build M=/home/david/compat-wireless-2011-06-23 modules
make[1]: ingresso nella directory "/usr/src/linux-headers-2.6.38-8-generic"
  CC [M]  /home/david/compat-wireless-2011-06-23/net/wireless/nl80211.o
/home/david/compat-wireless-2011-06-23/net/wireless/nl80211.c: In function ‘nl80211_send_bss’:
/home/david/compat-wireless-2011-06-23/net/wireless/nl80211.c:3641: error: implicit declaration of function ‘genl_dump_check_consistent’
/home/david/compat-wireless-2011-06-23/net/wireless/nl80211.c: In function ‘nl80211_dump_scan’:
/home/david/compat-wireless-2011-06-23/net/wireless/nl80211.c:3731: error: ‘struct netlink_callback’ has no member named ‘seq’
make[3]: *** [/home/david/compat-wireless-2011-06-23/net/wireless/nl80211.o] Errore 1
make[2]: *** [/home/david/compat-wireless-2011-06-23/net/wireless] Errore 2
make[1]: *** [_module_/home/david/compat-wireless-2011-06-23] Errore 2
make[1]: uscita dalla directory "/usr/src/linux-headers-2.6.38-8-generic"
make: *** [modules] Errore 2
root@david-laptop:~/compat-wireless-2011-06-23#
qualcuno sa come posso risolvere il problema???
intanto io continuo con google....
grazie a tutti
« Last Edit: June 28, 2011, 04:26:43 PM by vincenzo »



raffaele

  • Administrator
  • Hero Member
  • *****
  • Posts: 507
    • View Profile
    • My Blog
Reply #1 on: June 23, 2011, 11:01:34 PM
ragazzi cercate sul forum o sul wiki prima di postare... spesso si aprono sempre le stesse discussioni:

http://wiki.backbox.org/Customization#How_to_install_compat-wireless_aircrack_patches

raffaele@backbox:~$ Get root or die tryin'


Dark Angel

  • Newbie
  • *
  • Posts: 27
    • View Profile
Reply #2 on: June 24, 2011, 12:33:16 PM
quella e' la stessa guida che ho seguito io ma quando faccio

sudo make install

se guardi alla fine il codice che ho postato mi escono degli errori e non installa i driver



ultra_lazer

  • Guest
Reply #3 on: June 24, 2011, 02:26:45 PM
make -C /lib/modules/2.6.38-8-generic/build M=/home/david/compat-wireless-2011-06-23 modules

*** il problema sta' nel kernel, comunque i patches non sono compatibile con 2.6.38,,,,,

Compat-wireless fino ad ora sono compatibili con kernels fino a 2.6.35.



raffaele

  • Administrator
  • Hero Member
  • *****
  • Posts: 507
    • View Profile
    • My Blog
Reply #4 on: June 24, 2011, 02:48:21 PM
Dark Angel, dai log che hai postato non mi sembra che tu segua alla lettera la nosta guida. Ripristina il precedente stato e segui passo passo quanto scritto.

ultra_lazer per quanto riguarda la compatibilità con il nuovo kernel devo dire che ti sbagli. Attualmente li sto testando su "BackBox 2", kernel "2.6.38-8-generic" 64bit e tutto funziona alla perfezione.

raffaele@backbox:~$ Get root or die tryin'


ultra_lazer

  • Guest
Reply #5 on: June 24, 2011, 04:13:23 PM
ciao, ho fatto dei test per conto mio ed ecco la soluzione:


1. wget http://wireless.kernel.org/download/compat-wireless-2.6/compat-wireless-...
2. tar -jxf compat-wireless-2010-10-16.tar.bz2
3. cd compat-wireless-2010-10-16
4. wget http://patches.aircrack-ng.org/mac80211.compat08082009.wl_frag+ack_v1.patch
5. patch -p1 < mac80211.compat08082009.wl_frag+ack_v1.patch
6. wget http://patches.aircrack-ng.org/channel-negative-one-maxim.patch
7. patch ./net/wireless/chan.c channel-negative-one-maxim.patch
8. gedit scripts/update-initramfs
#*** FIND LINE 13: KLIB=/lib/modules/2.6.31-wl/build
#*** REPLACE WITH: KLIB=/lib/modules/$(uname -r)/build

make
sudo make install

spero che questo ti aiuta.
in effetti c'era bisogno di questo patch :  /channel-negative-one-maxim.patch
« Last Edit: June 24, 2011, 05:43:10 PM by ultra_lazer »



Dark Angel

  • Newbie
  • *
  • Posts: 27
    • View Profile
Reply #6 on: June 27, 2011, 03:05:20 PM
Dark Angel, dai log che hai postato non mi sembra che tu segua alla lettera la nosta guida. Ripristina il precedente stato e segui passo passo quanto scritto.

ultra_lazer per quanto riguarda la compatibilità con il nuovo kernel devo dire che ti sbagli. Attualmente li sto testando su "BackBox 2", kernel "2.6.38-8-generic" 64bit e tutto funziona alla perfezione.
ho rifatto e rifatto la guida passo passo ma niente da fare....vorrei sapere se esiste un'altro modo per installare i driver.
Il fatto e' che il makefile lo crea ma genera degli errori e quando installi non riesce a completare...
ultra_lazer il file update_initramfs era gia' modificato.

una sola domanda: come faccio a cancellare dal sistema le cartelle unzippate dei driver compat che ho scaricato???
non riesco neanche come root da terminale...continua dirmi che non ho il permesso....

grazie a tutti

l'ultima opzione sarebbe quella di comprare una chiavetta wifi da 30 euro.....

a presto



vincenzo

  • Full Member
  • ***
  • Posts: 103
    • View Profile
Reply #7 on: June 27, 2011, 10:28:48 PM
Prova a cercare nel forum: http://forum.aircrack-ng.org/ e scrivi "mon0 is on channel -1, but the AP uses channel" senza virgolette nella barra del Search. Assicurati di aver installato "build-essential", "linux-source" e "linux-headers-generic".

Quote
una sola domanda: come faccio a cancellare dal sistema le cartelle unzippate dei driver compat che ho scaricato??? non riesco neanche come root da terminale...continua dirmi che non ho il permesso....

Cioè con "sudo rm -rf <nome-della-cartella-unzippata>" non funziona? Strano.

You cannot teach a man anything. You can only help him discover it within himself.




Dark Angel

  • Newbie
  • *
  • Posts: 27
    • View Profile
Reply #8 on: June 28, 2011, 02:56:50 PM
Prova a cercare nel forum: http://forum.aircrack-ng.org/ e scrivi "mon0 is on channel -1, but the AP uses channel" senza virgolette nella barra del Search. Assicurati di aver installato "build-essential", "linux-source" e "linux-headers-generic".

Quote
una sola domanda: come faccio a cancellare dal sistema le cartelle unzippate dei driver compat che ho scaricato??? non riesco neanche come root da terminale...continua dirmi che non ho il permesso....

Cioè con "sudo rm -rf <nome-della-cartella-unzippata>" non funziona? Strano.
niente da fare ho seguito diverse guide sul forum che mi hai consigliato
riesco a patchare il file chan.c correttamente ma continuo a ricevere questi errori in compilazione:
Code: [Select]
/home/david/compat-wireless-2011-06-26/net/wireless/nl80211.c:3641: error: implicit declaration of function ‘genl_dump_check_consistent’
/home/david/compat-wireless-2011-06-26/net/wireless/nl80211.c: In function ‘nl80211_dump_scan’:
/home/david/compat-wireless-2011-06-26/net/wireless/nl80211.c:3731: error: ‘struct netlink_callback’ has no member named ‘seq’
make[3]: *** [/home/david/compat-wireless-2011-06-26/net/wireless/nl80211.o] Errore 1
make[2]: *** [/home/david/compat-wireless-2011-06-26/net/wireless] Errore 2
make[1]: *** [_module_/home/david/compat-wireless-2011-06-26] Errore 2
make[1]: uscita dalla directory "/usr/src/linux-headers-2.6.38-8-generic"
make: *** [modules] Errore 2
..............



vincenzo

  • Full Member
  • ***
  • Posts: 103
    • View Profile
Reply #9 on: June 28, 2011, 03:27:38 PM
C'è attualmente una discussione in corso nella mailing-list dedicata ai compat-wireless intitolata proprio "Compat-wireless release for 2011-06-26 is baked" e la causa sembra essere la patch nl80211 (http://www.spinics.net/lists/linux-wireless/msg71918.html). Lo stesso utente che ha rilevato il problema, come del resto hai verificato anche tu, dice di aver temporaneamente risolto rimpiazzando i files "nl80211.c" e "nl80211.h" con quelli della versione 2011-06-22.

You cannot teach a man anything. You can only help him discover it within himself.




Dark Angel

  • Newbie
  • *
  • Posts: 27
    • View Profile
Reply #10 on: June 28, 2011, 04:17:37 PM
C'è attualmente una discussione in corso nella mailing-list dedicata ai compat-wireless intitolata proprio "Compat-wireless release for 2011-06-26 is baked" e la causa sembra essere la patch nl80211 (http://www.spinics.net/lists/linux-wireless/msg71918.html). Lo stesso utente che ha rilevato il problema, come del resto hai verificato anche tu, dice di aver temporaneamente risolto rimpiazzando i files "nl80211.c" e "nl80211.h" con quelli della versione 2011-06-22.
grazie mille ho seguito questo link:
http://www.spinics.net/lists/linux-wireless/msg71918.html
scambiato i file con la versione 2011-06-22 e ora airodump-ng funziona correttamente
Code: [Select]
CH  6 ][ Elapsed: 4 mins ][ 2011-06-28 17:16                                         
                                                                                                         
 BSSID              PWR RXQ  Beacons    #Data, #/s  CH  MB   ENC  CIPHER AUTH ESSID                     
                                                                                                         
 00:1C:DF:9B:D2:F3  -78 100     2585      785    0   6  54e  WPA2 CCMP   PSK  Belkin_DAVID               
                                                                                                         
 BSSID              STATION            PWR   Rate    Lost  Packets  Probes     
ora speriamo di riuscire a catturare i 4handshake.....



Dark Angel

  • Newbie
  • *
  • Posts: 27
    • View Profile
Reply #11 on: June 28, 2011, 04:19:55 PM
volevo marcare il topic come RISOLTO ma non so come fare.....suggerimenti???



vincenzo

  • Full Member
  • ***
  • Posts: 103
    • View Profile
Reply #12 on: June 28, 2011, 04:26:12 PM
Ottimo! Comunque ti consiglio di seguire quella discussione perchè sicuramente risolveranno in modo più elegante, o comunque caricheranno a breve una versione senza quel bug. Accanto al Subject di questo topic dovrebbe esserci un'icona che te lo fa modificare, non ti preoccupare faccio io e chiudo. Ciao!
« Last Edit: June 29, 2011, 04:25:53 AM by vincenzo »

You cannot teach a man anything. You can only help him discover it within himself.